aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2018-08-23 12:21:02 +1200
committerTom Ryder <tom@sanctum.geek.nz>2018-08-23 12:21:02 +1200
commit0f475e8f274aa85b8434e0c835f7bdbb59744929 (patch)
treed4264fc0085f7dd3d8ecc4c3ee0f7c41b6a9bfa0
parentMerge branch 'release/v1.59.0' (diff)
parentBump VERSION (diff)
downloaddotfiles-0f475e8f274aa85b8434e0c835f7bdbb59744929.tar.gz
dotfiles-0f475e8f274aa85b8434e0c835f7bdbb59744929.zip
Merge branch 'release/v1.60.0'v1.60.0
* release/v1.60.0: Bump VERSION Update replace_operator.vim plugin Update diff_prune.vim plugin Add collation locale def for plmu(1df) sort check Check for existence of :xmap for mapping
-rw-r--r--VERSION4
-rw-r--r--bin/plmu.sh2
m---------vim/bundle/diff_prune0
m---------vim/bundle/replace_operator0
-rw-r--r--vim/vimrc4
5 files changed, 6 insertions, 4 deletions
diff --git a/VERSION b/VERSION
index b96a2579..a1078a4f 100644
--- a/VERSION
+++ b/VERSION
@@ -1,2 +1,2 @@
-tejr dotfiles v1.59.0
-Wed Aug 22 10:22:43 UTC 2018
+tejr dotfiles v1.60.0
+Thu Aug 23 00:21:01 UTC 2018
diff --git a/bin/plmu.sh b/bin/plmu.sh
index 06d5ce1d..5c599828 100644
--- a/bin/plmu.sh
+++ b/bin/plmu.sh
@@ -5,7 +5,7 @@ ef=$HOME/.plenv/non-cpanm-modules
[ -e "$ef" ] || ef=/dev/null
# Check that exceptions file is sorted
-if ! sort -c -- "$ef" ; then
+if ! LC_COLLATE=C sort -c -- "$ef" ; then
printf >&2 '%s not sorted\n' "$ef"
exit 1
fi
diff --git a/vim/bundle/diff_prune b/vim/bundle/diff_prune
-Subproject 50080840611c7111e10e71b0443d05b9ead7698
+Subproject 389f2da8759cbbcf275798fb1e8c93114fa2dc0
diff --git a/vim/bundle/replace_operator b/vim/bundle/replace_operator
-Subproject 172fbc5f7e346c26c3cc64335de1e33347f7905
+Subproject d897f61790f31c71564a761c79b8839e76192d7
diff --git a/vim/vimrc b/vim/vimrc
index 02f992f3..032d3085 100644
--- a/vim/vimrc
+++ b/vim/vimrc
@@ -299,7 +299,9 @@ nnoremap <Bslash>p :<C-U>set paste! paste?<CR>
nnoremap <Bslash>q gqap
" \r acts as a replacement operator
nmap <Bslash>r <Plug>(ReplaceOperator)
-xmap <Bslash>r <Plug>(ReplaceOperator)
+if exists(':xmap')
+ xmap <Bslash>r <Plug>(ReplaceOperator)
+endif
" \R reloads ~/.vimrc
nnoremap <Bslash>R :<C-U>source $MYVIMRC<CR>
" \s toggles spell checking